OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpUtil

    java.lang.Object
      org.opennms.protocols.snmp.SnmpUtil

class SnmpUtil
extends java.lang.Object

This class provides a set of utilities that may be used by other package members. This class is not accessable to non-package classes. The util class maintains a dynamically created list of SnmpSyntax object that is uses to lookup received messages. The typeId() method of each SnmpSyntax object provides the comparision data for the received ASN.1 type.

Author:
  Brian Weaver
See Also:
  `SnmpInt32`, `SnmpCounter32`, `SnmpGauge32`, `SnmpTimeTicks`, `SnmpOctetString`, `SnmpIPAddress`, `SnmpObjectId`

Field Summary
`(package private) static java.util.ArrayList` `m_syntaxArray` The array of dynamically registred SnmpSyntax objects

Constructor Summary
`(package private)` `SnmpUtil()`

Method Summary
`(package private) static void` `dumpHex(java.io.PrintStream out, byte[] data, int offset, int length)` Dumps an array of byte to the output string as a sequence of hexadecimal digits.
`(package private) static SnmpSyntax` `getSyntaxObject(byte asnType)` Used to dynamically lookup registered SnmpSyntax objects
`(package private) static boolean` `registerSyntax(SnmpSyntax obj)` Used to register a SnmpSyntax object with the SnmpUtil class.
`(package private) static void` `rotate(byte[] arrayBuf, int begin, int pivot, int end)` Rotates a give buffer area marked by begin, pivot, and end.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_syntaxArray

    static java.util.ArrayList m_syntaxArray

  The array of dynamically registred SnmpSyntax objects

Constructor Detail

### SnmpUtil

    SnmpUtil()

Method Detail

### registerSyntax

    static boolean registerSyntax(SnmpSyntax obj)

  Used to register a SnmpSyntax object with the SnmpUtil class. Once registered it can be dynamically found based on it's typeId().

  Parameters:
    `obj` - The SnmpSyntax object to add
  Returns:
    True if the object is successfully added

### getSyntaxObject

    static SnmpSyntax getSyntaxObject(byte asnType)

  Used to dynamically lookup registered SnmpSyntax objects

  Parameters:
    `asnType` - The ASN.1 type to search for
  Returns:
    A new SnmpSyntax object of the appropiate type

### rotate

    static void rotate(byte[] arrayBuf,
                       int begin,
                       int pivot,
                       int end)

  Rotates a give buffer area marked by begin, pivot, and end. The pivot marks the point where the array between [pivot..end) are moved to the position marked by begin. The bytes between [begin..pivot) are shifted such that begin is at [begin+(end-pivot)].

  Parameters:
    `arrayBuf` - The buffer containing the data to rotate
    `begin` - The start of the rotation
    `pivot` - The pivot point for the rotation
    `end` - The end of the rotational buffer

### dumpHex

    static void dumpHex(java.io.PrintStream out,
                        byte[] data,
                        int offset,
                        int length)

  Dumps an array of byte to the output string as a sequence of hexadecimal digits.

  Parameters:
    `out` - The output stream
    `data` - The data to dump
    `offset` - The start location within the data
    `length` - The length of data to dump

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.